%define pkg_name        Data-Taxi
%define pkg_version     0.94
%define rpm_pkg_version 0.94
%define rpm_pkg_release 2.n0i.2

Summary:       Taint-aware, XML-ish data serialization
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/M/MI/MIKO/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)


%description
Taxi (Taint-Aware XML-Ish) is a data serializer with several handy features:
- Taint aware: Taxi does not force you to trust the data you are serializing.
  None of the input data is executed.
- Human readable: Taxi produces a human-readable string that simplifies
  checking the output of your objects.
- XML-ish: Taxi produces a block of XML-ish data that could probably be read
  in by other XML parsers.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.94-2.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- rebuild on perl 5.8.8

* Thu Nov 03 2005 Marius Feraru <altblue@n0i.net> 0.94-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.10
- rebuild on perl 5.8.7
